## r-cran-utf8 1.1.3

=== DESCRIPTION ===
Package: utf8
Version: 1.1.3
Title: Unicode Text Processing
Authors@R: c(
  person(c("Patrick", "O."), "Perry",
         role = c("aut", "cph", "cre"),
         email = "pperry@stern.nyu.edu"),
  person("Unicode, Inc.",
         role = c("cph", "dtc"),
         comment = "Unicode Character Database"))
Depends: R (>= 2.10)
Suggests: corpus, knitr, rmarkdown, testthat
Description: Process and print 'UTF-8' encoded international text (Unicode). Input, validate, normalize, encode, format, and display.
License: Apache License (== 2.0) | file LICENSE
URL: https://github.com/patperry/r-utf8
BugReports: https://github.com/patperry/r-utf8/issues
LazyData: Yes
Encoding: UTF-8
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: yes
Packaged: 2018-01-02 20:06:19 UTC; ptrck
Author: Patrick O. Perry [aut, cph, cre],
  Unicode, Inc. [cph, dtc] (Unicode Character Database)
Maintainer: Patrick O. Perry <pperry@stern.nyu.edu>
Repository: CRAN
Date/Publication: 2018-01-03 13:28:39 UTC

=== debian/changelog ===
r-cran-utf8 (1.1.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Build-Depends: debhelper (>= 11~)

 -- Andreas Tille <tille@debian.org>  Sun, 21 Jan 2018 08:03:21 +0100

r-cran-utf8 (1.1.3-1) unstable; urgency=medium

  * Initial release (closes: #887091)

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jan 2018 19:50:23 +0100

=== debian/control ===
Source: r-cran-utf8
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
Homepage: https://cran.r-project.org/package=utf8

Package: r-cran-utf8
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R unicode text processing
 This GNU R package helps processing and printing 'UTF-8' encoded
 international text (Unicode). Input,  validate, normalize, encode,
 format, and display.

## r-cran-utf8 1.1.4

=== DESCRIPTION ===
Package: utf8
Version: 1.1.4
Title: Unicode Text Processing
Authors@R: c(
  person(c("Patrick", "O."), "Perry",
         role = c("aut", "cph", "cre"),
         email = "patperry@gmail.com"),
  person("Unicode, Inc.",
         role = c("cph", "dtc"),
         comment = "Unicode Character Database"))
Depends: R (>= 2.10)
Suggests: knitr, rmarkdown, testthat
Description: Process and print 'UTF-8' encoded international text (Unicode). Input, validate, normalize, encode, format, and display.
License: Apache License (== 2.0) | file LICENSE
URL: https://github.com/patperry/r-utf8
BugReports: https://github.com/patperry/r-utf8/issues
LazyData: Yes
Encoding: UTF-8
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: yes
Packaged: 2018-05-24 15:00:57 UTC; ptrck
Author: Patrick O. Perry [aut, cph, cre],
  Unicode, Inc. [cph, dtc] (Unicode Character Database)
Maintainer: Patrick O. Perry <patperry@gmail.com>
Repository: CRAN
Date/Publication: 2018-05-24 17:09:15 UTC

=== debian/changelog ===
r-cran-utf8 (1.1.4-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 13:04:42 +0200

r-cran-utf8 (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 21:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-utf8
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-utf8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
 Homepage: https://cran.r-project.org/package=utf8
+Rules-Requires-Root: no
 
 Package: r-cran-utf8
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/utf8_([-\d.]*)\.tar\.gz

## r-cran-utf8 1.2.2

=== DESCRIPTION ===
Package: utf8
Title: Unicode Text Processing
Version: 1.2.2
Authors@R: 
    c(person(given = c("Patrick", "O."),
             family = "Perry",
             role = c("aut", "cph")),
      person(given = "Kirill",
             family = "M\u00fcller",
             role = "cre",
             email = "krlmlr+r@mailbox.org"),
      person(given = "Unicode, Inc.",
             role = c("cph", "dtc"),
             comment = "Unicode Character Database"))
Description: Process and print 'UTF-8' encoded international
    text (Unicode). Input, validate, normalize, encode, format, and
    display.
License: Apache License (== 2.0) | file LICENSE
URL: https://ptrckprry.com/r-utf8/, https://github.com/patperry/r-utf8
BugReports: https://github.com/patperry/r-utf8/issues
Depends: R (>= 2.10)
Suggests: cli, covr, knitr, rlang, rmarkdown, testthat (>= 3.0.0),
        withr
VignetteBuilder: knitr, rmarkdown
Config/testthat/edition: 3
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-07-24 08:19:25 UTC; kirill
Author: Patrick O. Perry [aut, cph],
  Kirill Müller [cre],
  Unicode, Inc. [cph, dtc] (Unicode Character Database)
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-07-24 15:00:02 UTC

=== debian/changelog ===
r-cran-utf8 (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 14:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-utf8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
 Homepage: https://cran.r-project.org/package=utf8

## r-cran-utf8 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: utf8
 Title: Unicode Text Processing
-Version: 1.2.2
+Version: 1.2.3
 Authors@R: 
     c(person(given = c("Patrick", "O."),
              family = "Perry",
@@ -8,7 +8,7 @@
       person(given = "Kirill",
              family = "M\u00fcller",
              role = "cre",
-             email = "krlmlr+r@mailbox.org"),
+             email = "kirill@cynkra.com"),
       person(given = "Unicode, Inc.",
              role = c("cph", "dtc"),
              comment = "Unicode Character Database"))
@@ -24,11 +24,12 @@
 VignetteBuilder: knitr, rmarkdown
 Config/testthat/edition: 3
 Encoding: UTF-8
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2021-07-24 08:19:25 UTC; kirill
+Packaged: 2023-01-31 05:28:43 UTC; kirill
 Author: Patrick O. Perry [aut, cph],
   Kirill Müller [cre],
   Unicode, Inc. [cph, dtc] (Unicode Character Database)
-Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
+Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2021-07-24 15:00:02 UTC
+Date/Publication: 2023-01-31 18:00:02 UTC

=== debian/changelog ===
r-cran-utf8 (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:59:53 +0100

## r-cran-utf8 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: utf8
 Title: Unicode Text Processing
-Version: 1.2.3
+Version: 1.2.4
 Authors@R: 
     c(person(given = c("Patrick", "O."),
              family = "Perry",
@@ -26,10 +26,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-31 05:28:43 UTC; kirill
+Packaged: 2023-10-22 13:43:19 UTC; kirill
 Author: Patrick O. Perry [aut, cph],
   Kirill Müller [cre],
   Unicode, Inc. [cph, dtc] (Unicode Character Database)
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-01-31 18:00:02 UTC
+Date/Publication: 2023-10-22 21:50:02 UTC

=== debian/changelog ===
r-cran-utf8 (1.2.4-1) unstable; urgency=medium

  * Fix clean target
    Closes: #1047103
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 17:09:23 +0200

=== debian/control ===
Source: r-cran-utf8
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-utf8
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
Homepage: https://cran.r-project.org/package=utf8
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-utf8
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R unicode text processing
 This GNU R package helps processing and printing 'UTF-8' encoded
 international text (Unicode). Input,  validate, normalize, encode,
 format, and display.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	find src/utf8lite/src -name "*.o" -delete
	find src -name "*.a" -delete
	dh_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cli,
        r-cran-covr,
        r-cran-knitr,
        r-cran-rlang,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr

## r-cran-utf8 1.2.6

=== debian/changelog ===
r-cran-utf8 (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 17:46:07 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-utf8
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-utf8
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-utf8.git
 Homepage: https://cran.r-project.org/package=utf8
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-utf8
 Architecture: any
